2

I'm trying to install CiviVolunteers on a Wordpress site, and when i click the "download" link on the extensions list page, i get this error message:

Sorry but we are not able to provide this at the moment. Unknown extension

Any ideas on what might be the issue?

I'd be happy to provide wordpress admin access upon request, i'm not sure if it's common to put the login info here...

  • What version of civi are you using? – Xavier May 5 '15 at 13:53
4

After experiencing this same problem, I dug a bit deeper, and confirmed that this is a bug in CiviCRM 4.6. I've submitted it here: https://issues.civicrm.org/jira/browse/CRM-16590

UPDATE: this is fixed in version 4.6.4+.

2

It's hard to give a better answer without more information from you, like what you've already tried and what version of CiviCRM, CiviVolunteer, and Wordpress you're using. Please consider editing your question to include that information.

Broadly speaking, I would make sure that your extensions directory and URL are both set (Administer menu > System Settings > Directories and Administer menu > System Settings > Resource URLs). I'd also check to make sure that both those folders are writeable by the web server.

  • Thanks Jon, I've set the 2 URLs, they are writable AFAIK. I've set them to point to the exact same folder, btw – Talbatz May 5 '15 at 14:02
1

Eventually I ended up un-installing CiviCRM 4.6.2, and installing version 4.4.1 instead.

After Downgrading CiviCRM i was able to install CiviVolunteers.

0

This error message is generated when an existing extension is no longer supported or otherwise unusable. Generally you'd see this after an upgrade. Try removing your existing extensions first, then re-add them one at a time.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.